Subject: Re: How do gmail users try out patches from this list?

From: Emmanuel Trillaud <[email-masked]>
Date: Tue, 11 Aug 2009 22:47:17 +0200

To quote Documentation/SubmittingPatches:

GMail does not appear to have any way to turn off line wrapping in the web
interface, so this will mangle any emails that you send.  You can however
use any IMAP email client to connect to the google imap server, and
forward the emails through that.  Just make sure to disable line wrapping
in that email client.  Alternatively, use "git send-email" instead.

Submitting properly formatted patches via Gmail is simple now that
IMAP support is available. First, edit your ~/.gitconfig to specify your
account settings:

[imap]
	folder = "[Gmail]/Drafts"
	host = imaps://imap.gmail.com
	user = [email-masked]
	pass = p4ssw0rd
	port = 993
	sslverify = false

You might need to instead use: folder = "[Google Mail]/Drafts" if you get
an error that the "Folder doesn't exist".

Next, ensure that your Gmail settings are correct. In "Settings" the
"Use Unicode (UTF-8) encoding for outgoing messages" should be checked.

Once your commits are ready to send to the mailing list, run the following
command to send the patch emails to your Gmail Drafts folder.

	$ git format-patch -M --stdout origin/master | git imap-send

Go to your Gmail account, open the Drafts folder, find the patch email,
fill in the To: and CC: fields and send away!

Best Regards

Emmanuel Trillaud

Le Tue, 11 Aug 2009 13:43:13 -0700,
[email-masked] a écrit :

> Sorry if this is dumb question, but I didn't see any good info in my
> searches.
> 
> How do gmail users normally apply patches that come through the list?
> Do you just manually copy and paste the email to patch files and use
> git apply? Do you use a tool to export to mbox files and use git am?
> 
> I've been just doing it manually via copy and paste, but it's kinda
> tedious. --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html